%define url_ver		%(echo %{version}|cut -d. -f1,2)
%define major		2
%define libname		%mklibname gexiv2_ %{major}
%define develname	%mklibname gexiv2 -d

Summary:	A GObject-based wrapper around the Exiv2 library
Name:		libgexiv2
Version:	0.10.6
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
Source0:	https://download.gnome.org/sources/gexiv2/%{url_ver}/gexiv2-%{version}.tar.xz
Url:		https://wiki.gnome.org/Projects/gexiv2
BuildRequires:	%{_lib}exiv2-devel >= 0.21
BuildRequires:	glib2-devel
BuildRequires:	libtool
BuildRequires:	sed
BuildRequires:	%{_lib}girepository-devel
BuildRequires:	%{_lib}python3-devel
BuildRequires:	%{_lib}python-devel
BuildRequires:	%{_lib}vala-devel
BuildRequires:	python-gobject
BuildRequires:	python3-gobject3

%description
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%package -n %libname
Summary: A GObject-based wrapper around the Exiv2 library
Group: System/Libraries

%description -n %libname
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%package -n %develname
Group: Development/Libraries
Summary: A GObject-based wrapper around the Exiv2 library
Requires: %{_lib}exiv2-devel >= 0.21
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.


%prep
%setup -q -n gexiv2-%{version}

%build
%configure2_5x --enable-introspection --enable-static=no
%make

%install
rm -rf %buildroot
%make_install
find %{buildroot} -name '*.la' -delete
rm -rf %buildroot/%_datadir/gtk-doc

## move introspection typelib to correct location
#mkdir -p $RPM_BUILD_ROOT%{_libdir}/girepository-1.0
#mv $RPM_BUILD_ROOT%{_datadir}/gir-1.0/GExiv2-0.10.typelib \
#   $RPM_BUILD_ROOT%{_libdir}/girepository-1.0/GExiv2-0.10.typelib

%find_lang %{name}

%check
#%%make tests


%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/*.so.%{major}*
%{_libdir}/girepository-1.0/GExiv2-*.typelib
%{python3_sitearch}/gi/overrides/GExiv2.*
%{python_sitearch}/gi/overrides/GExiv2.*

%files -n %develname
%defattr(-,root,root,-)
%{_includedir}/gexiv2
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/vala/vapi/gexiv2.vapi
%{_datadir}/gir-1.0/GExiv2-*.gir


%changelog
* Sun Sep 03 2017 adrianomorselli <adrianomorselli> 0.10.6-1uplos2017
- update
